version: '3'
services:
  adguard:
    container_name: adguard
    image: adguard/adguardhome
    restart: unless-stopped
    volumes:
      - /mnt/data/adguard/work:/opt/adguardhome/work
      - /mnt/data/adguard/conf:/opt/adguardhome/conf
    cap_add:
      - NET_ADMIN
    ports:
      - "53:53/tcp"
      - "53:53/udp"
      - "67:67/udp"
      - "68:68/udp"
      - "28888:80/tcp"
      - "28443:443/tcp"
      - "28443:443/udp"
      - "3000:3000/tcp"
      - "853:853/tcp"
      - "853:853/udp"
      - "5443:5443/tcp"
      - "5443:5443/udp"
      - "6060:6060/tcp"
